Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1518576 - Recurring tasks need to be more resilient
Summary: Recurring tasks need to be more resilient
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Tasks Plugin
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Adam Ruzicka
QA Contact: Jan Hutař
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-29 08:44 UTC by Adam Ruzicka
Modified: 2019-04-01 20:26 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 19:28:47 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 21802 None None None 2017-11-29 08:51:51 UTC
Red Hat Bugzilla 1505282 None None None Never

Internal Links: 1505282

Description Adam Ruzicka 2017-11-29 08:44:25 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Create a recurring task
2. Cancel the task, while leaving the recurring logic running

Actual results:
The recurring logic stays active forever without actually spawning any more tasks.

Expected results:
The recurring logic either cancels itself or tries to recreate the cancelled task.


Additional info:

Comment 1 Adam Ruzicka 2017-11-29 08:51:49 UTC
Created redmine issue http://projects.theforeman.org/issues/21802 from this bug

Comment 3 pm-sat@redhat.com 2018-01-17 11:27:13 UTC
Upstream bug assigned to aruzicka@redhat.com

Comment 4 pm-sat@redhat.com 2018-01-17 11:27:16 UTC
Upstream bug assigned to aruzicka@redhat.com

Comment 5 pm-sat@redhat.com 2018-03-27 22:27:02 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/21802 has been resolved.

Comment 7 Bryan Kearney 2018-10-16 19:28:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.